cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare

## Class PGL_PC6_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientcare.PGL_PC6_Common

- Direct Known Subclasses:
    PGL_PC6, PGL_PC7, PGL_PC8

      public abstract class PGL_PC6_Common
      extends Message

  PGL_PC6 - Patient Goal Message (Events PC6,7,8). This message is use to send goals from one application to another another (e.g., a point of care system to a clinical repository).

  Represents a PGL_PC6 message structure (see chapter 12.3.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: PID (Patient Identification Segment) SINGLE_COMPULSARY
  4: PATIENT_VISIT (a Group in PGL_PC6 message) SINGLE_OPTIONAL
  5: GOAL (a Group in PGL_PC6 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGoalGroup(IGroup objGroup)` Adds GOAL GROUP to this message.
    `void` | `addGoalGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of GOAL GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getGoalGroups()` Retrieves Collection of GOAL GROUP present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `IGroup` | `getPatientVisitGroup()` Retrieves Patient Visit Group present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of Patient Identification(PID) segment for this message,overwrites if already present.
    `void` | `setPatientVisitGroup(IGroup objGroup)` Sets value of Patient Visit Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification. present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of Patient Identification(PID) segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified Patient Identification Segment.

    - #### getPatientVisitGroup

          public IGroup getPatientVisitGroup()

      Retrieves Patient Visit Group present in this message.
      Returns:
        Group - PatientVisit Group present in this message.

    - #### setPatientVisitGroup

          public void setPatientVisitGroup(IGroup objGroup)

      Sets value of Patient Visit Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified PatientVisit Group

    - #### getGoalGroups

          public ISingleCollection<IGroup> getGoalGroups()

      Retrieves Collection of GOAL GROUP present in this message.
      Returns:
        ISingleCollection - Collection of GOAL Group present in this Message.

    - #### addGoalGroups

          public void addGoalGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of GOAL GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified GOAL GROUP Collection.

    - #### addGoalGroup

          public void addGoalGroup(IGroup objGroup)

      Adds GOAL GROUP to this message.
      Parameters:
        `objGroup` - Specified GOAL GROUP.